Uhr

avahi: Mehre Schwachstellen

Wie das BSI meldet, hat die IT-Sicherheitswarnung, welche eine vorliegende Schwachstelle für avahi betrifft, ein Update erhalten. Welche Betriebssysteme und Produkte von der Sicherheitslücke betroffen sind, lesen Sie hier auf news.de.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: picture alliance/dpa | Oliver Berg

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 31.01.2024 ein Update zu einer am 09.10.2023 bekanntgewordenen Sicherheitslücke für avahi veröffentlicht. Betroffen von der Sicherheitslücke sind das Betriebssystem Linux sowie die Produkte Amazon Linux 2, Red Hat Enterprise Linux, Ubuntu Linux, SUSE Linux, Oracle Linux, Open Source avahi und Red Hat Single Sign On.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: Red Hat Security Advisory RHSA-2024:0576 (Stand: 30.01.2024). Weitere nützliche Links werden weiter unten in diesem Artikel aufgeführt.

Sicherheitshinweis für avahi - Risiko: mittel

Risikostufe: 3 (mittel)
CVSS Base Score: 5,5
CVSS Temporal Score: 5,1
Remoteangriff: Nein

Zur Einschätzung der Verwundbarkeit von Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Metriken miteinander zu vergleichen, um eine darauf aufbauende Prioritätenliste zur Einleitung von Gegenmaßnahmen zu erstellen. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Beim Temporal Score fließen über die Zeit veränderbare Rahmenbedingungen in die Bewertung ein. Die Gefährdung der hier behandelten Schwachstelle wird nach dem CVSS mit einem Base Score von 5,5 als "mittel" eingeschätzt.

avahi Bug: Mehre Schwachstellen

Avahi ist die Implementierung einer Technik zur Vernetzung von Geräten in einem lokalen Netzwerk, ohne dass diese manuell konfiguriert werden müssen.

Ein lokaler Angreifer kann mehrere Schwachstellen in avahi ausnutzen, um einen Denial-of-Service-Zustand zu erzeugen.

Klassifiziert wurden die Schwachstellen mithilfe des CVE-Bezeichnungssystems (Common Vulnerabilities and Exposures) durch die individuellen Seriennummern CVE-2023-38473 und CVE-2023-38472.

Von der avahi-Sicherheitslücke betroffene Systeme im Überblick

Betriebssystem
Linux

Produkte
Amazon Linux 2 (cpe:/o:amazon:linux_2)
Red Hat Enterprise Linux (cpe:/o:redhat:enterprise_linux)
Ubuntu Linux (cpe:/o:canonical:ubuntu_linux)
SUSE Linux (cpe:/o:suse:suse_linux)
Oracle Linux (cpe:/o:oracle:linux)
Open Source avahi (cpe:/a:avahi:avahi)
Red Hat Single Sign On < 7.6.6 (cpe:/a:redhat:single_sign_on)

Allgemeine Maßnahmen zum Umgang mit IT-Schwachstellen

  1. Anwender der betroffenen Systeme sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten Sicherheitspatches verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Quellen zu Updates, Patches und Workarounds

An dieser Stelle finden Sie weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

Red Hat Security Advisory RHSA-2024:0576 vom 2024-01-30 (31.01.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:0576

RedHat Security Advisory (25.01.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:0418

Amazon Linux Security Advisory ALAS-2024-2393 vom 2024-01-10 (10.01.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2024-2393.html

Red Hat Security Advisory RHSA-2024:0097 vom 2024-01-10 (10.01.2024)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2024:0097

Amazon Linux Security Advisory ALAS-2024-2392 vom 2024-01-10 (10.01.2024)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2024-2392.html

SUSE Security Update SUSE-SU-2023:4910-1 vom 2023-12-19 (20.12.2023)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2023-December/017450.html

SUSE Security Update SUSE-SU-2023:4901-1 vom 2023-12-19 (19.12.2023)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2023-December/017448.html

Oracle Linux Security Advisory ELSA-2023-7836 vom 2023-12-18 (18.12.2023)
Weitere Informationen finden Sie unter: https://linux.oracle.com/errata/ELSA-2023-7836.html

Red Hat Security Advisory RHSA-2023:7836 vom 2023-12-14 (15.12.2023)
Weitere Informationen finden Sie unter: https://access.redhat.com/errata/RHSA-2023:7836

SUSE Security Update SUSE-SU-2023:4499-1 vom 2023-11-21 (22.11.2023)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2023-November/017132.html

SUSE Security Update SUSE-SU-2023:4503-1 vom 2023-11-21 (22.11.2023)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2023-November/017144.html

Ubuntu Security Notice USN-6487-1 vom 2023-11-20 (21.11.2023)
Weitere Informationen finden Sie unter: https://ubuntu.com/security/notices/USN-6487-1

Avahi Security Advisory vom 2023-10-08 (09.10.2023)
Weitere Informationen finden Sie unter: https://github.com/lathiat/avahi/issues/451

Avahi Security Advisory vom 2023-10-08 (09.10.2023)
Weitere Informationen finden Sie unter: https://github.com/lathiat/avahi/issues/452

Avahi Security Advisory vom 2023-10-08 (09.10.2023)
Weitere Informationen finden Sie unter: https://seclists.org/oss-sec/2023/q4/59

Versionshistorie dieser Sicherheitswarnung

Dies ist die 10. Version des vorliegenden IT-Sicherheitshinweises für avahi. Sollten weitere Updates bekanntgegeben werden, wird dieser Text aktualisiert. Die vorgenommenen Änderungen können Sie anhand der folgenden Versionshistorie nachvollziehen.

09.10.2023 - Initiale Fassung
21.11.2023 - Neue Updates von Ubuntu aufgenommen
22.11.2023 - Neue Updates von SUSE aufgenommen
15.12.2023 - Neue Updates von Red Hat aufgenommen
18.12.2023 - Neue Updates von Oracle Linux aufgenommen
19.12.2023 - Neue Updates von SUSE aufgenommen
20.12.2023 - Neue Updates von SUSE aufgenommen
10.01.2024 - Neue Updates von Amazon und Red Hat aufgenommen
25.01.2024 - Neue Updates von Red Hat aufgenommen
31.01.2024 - Neue Updates von Red Hat aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten generiert und wird je nach Warnlage datengetrieben aktualisiert. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

Bearbeitet durch kns

roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.